package com.jeeplus.modules.sg.financial.erpcredit.entity;

import com.jeeplus.core.persistence.DataEntity;

public class ErpCreditChild3 extends DataEntity<ErpCreditChild3> {//10kv线路设备费
    private static final long serialVersionUID = 1L;

    private String tenKvModel;//架空导线型号
    private String tenKvUnit;//10kv线路信息单位
    private Double tenKvLength;//10kv线路信息长度
    private Double tenKvLineLength;//10kv线路长度
    private Double tenKvItsLine;//10kv线路
    private Double tenKvItesFhvFollow;//400v以下
    private ErpCredit erpCredit;//父类

    public ErpCreditChild3(ErpCredit erpCredit) {
        this.erpCredit = erpCredit;
    }
    public ErpCreditChild3(){
        super();
    }


    public String getTenKvModel() {
        return tenKvModel;
    }

    public void setTenKvModel(String tenKvModel) {
        this.tenKvModel = tenKvModel;
    }

    public String getTenKvUnit() {
        return tenKvUnit;
    }

    public void setTenKvUnit(String tenKvUnit) {
        this.tenKvUnit = tenKvUnit;
    }

    public Double getTenKvLength() {
        return tenKvLength;
    }

    public void setTenKvLength(Double tenKvLength) {
        this.tenKvLength = tenKvLength;
    }

    public Double getTenKvLineLength() {
        return tenKvLineLength;
    }

    public void setTenKvLineLength(Double tenKvLineLength) {
        this.tenKvLineLength = tenKvLineLength;
    }

    public Double getTenKvItsLine() {
        return tenKvItsLine;
    }

    public void setTenKvItsLine(Double tenKvItsLine) {
        this.tenKvItsLine = tenKvItsLine;
    }

    public Double getTenKvItesFhvFollow() {
        return tenKvItesFhvFollow;
    }

    public void setTenKvItesFhvFollow(Double tenKvItesFhvFollow) {
        this.tenKvItesFhvFollow = tenKvItesFhvFollow;
    }

    public ErpCredit getErpCredit() {
        return erpCredit;
    }

    public void setErpCredit(ErpCredit erpCredit) {
        this.erpCredit = erpCredit;
    }
}
